---

 25-akpm/drivers/md/raid5.c     |    6 +++---
 25-akpm/drivers/md/raid6main.c |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/md/raid5.c~md-sector_t-fixes-fix drivers/md/raid5.c
--- 25/drivers/md/raid5.c~md-sector_t-fixes-fix	2004-03-24 22:31:10.833660832 -0800
+++ 25-akpm/drivers/md/raid5.c	2004-03-24 22:32:33.439102896 -0800
@@ -223,11 +223,11 @@ static struct stripe_head *__find_stripe
 	struct stripe_head *sh;
 
 	CHECK_DEVLOCK();
-	PRINTK("__find_stripe, sector %lu\n", sector);
+	PRINTK("__find_stripe, sector %llu\n", (unsigned long long)sector);
 	for (sh = stripe_hash(conf, sector); sh; sh = sh->hash_next)
 		if (sh->sector == sector)
 			return sh;
-	PRINTK("__stripe %lu not in cache\n", sector);
+	PRINTK("__stripe %llu not in cache\n", (unsigned long long)sector);
 	return NULL;
 }
 
@@ -236,7 +236,7 @@ static struct stripe_head *get_active_st
 {
 	struct stripe_head *sh;
 
-	PRINTK("get_stripe, sector %lu\n", sector);
+	PRINTK("get_stripe, sector %llu\n", (unsigned long long)sector);
 
 	spin_lock_irq(&conf->device_lock);
 
diff -puN drivers/md/raid6main.c~md-sector_t-fixes-fix drivers/md/raid6main.c
--- 25/drivers/md/raid6main.c~md-sector_t-fixes-fix	2004-03-24 22:31:10.850658248 -0800
+++ 25-akpm/drivers/md/raid6main.c	2004-03-24 22:32:27.136061104 -0800
@@ -242,11 +242,11 @@ static struct stripe_head *__find_stripe
 	struct stripe_head *sh;
 
 	CHECK_DEVLOCK();
-	PRINTK("__find_stripe, sector %lu\n", sector);
+	PRINTK("__find_stripe, sector %llu\n", (unsigned long long)sector);
 	for (sh = stripe_hash(conf, sector); sh; sh = sh->hash_next)
 		if (sh->sector == sector)
 			return sh;
-	PRINTK("__stripe %lu not in cache\n", sector);
+	PRINTK("__stripe %llu not in cache\n", (unsigned long long)sector);
 	return NULL;
 }
 
@@ -255,7 +255,7 @@ static struct stripe_head *get_active_st
 {
 	struct stripe_head *sh;
 
-	PRINTK("get_stripe, sector %lu\n", sector);
+	PRINTK("get_stripe, sector %llu\n", (unsigned long long)sector);
 
 	spin_lock_irq(&conf->device_lock);
 

_
